Summary:	Program that wraps normal socket connections with SSL/TLS
Name:		stunnel
Version:	4.55
Release:	%mkrel 1
License:	GPLv2
Group:		System/Servers
URL:		http://www.stunnel.org/
Source0:	http://www.stunnel.org/download/stunnel/src/%{name}-%{version}.tar.gz
Source1:	http://www.stunnel.org/download/stunnel/src/%{name}-%{version}.tar.gz.asc
Source2:	stunnel.service
BuildRequires:	openssl-devel >= 0.9.5
BuildRequires:	tcp_wrappers-devel
Requires:	tcp_wrappers
Obsoletes:	%mklibname %{name} 0
Obsoletes:	%mklibname %{name} -d
Obsoletes:	%mklibname %{name} -d -s

%description
The stunnel program is designed to work as SSL encryption wrapper between 
remote clients and local (inetd-startable) or remote servers. The concept is 
that having non-SSL aware daemons running on your system you can easily set 
them up to communicate with clients over secure SSL channels.

stunnel can be used to add SSL functionality to commonly used inetd daemons 
like POP-2, POP-3, and IMAP servers, to standalone daemons like NNTP, SMTP 
and HTTP, and in tunneling PPP over network sockets without changes to the 
source code.

%prep
%setup -q

iconv -f iso-8859-1 -t utf-8 < doc/stunnel.fr.8 > doc/stunnel.fr.8_
mv doc/stunnel.fr.8_ doc/stunnel.fr.8
iconv -f iso-8859-2 -t utf-8 < doc/stunnel.pl.8 > doc/stunnel.pl.8_
mv doc/stunnel.pl.8_ doc/stunnel.pl.8

# XXX don't install /var/lib/stunnel
perl -ni -e '/INSTALL.*-m 1770 -g nogroup.*stunnel$/ or print' tools/Makefile.am
%build
%configure2_5x \
    --with-threads=fork \
    --with-ssl=%{_prefix} \
    --disable-static \
    --enable-shared
%make pkglibdir=%{_libdir}

%install
rm -rf %{buildroot}

# (oe) hack... don't generate the pem file, and stunnel.conf
install -d %{buildroot}%{_sysconfdir}/%{name}
touch %{buildroot}%{_sysconfdir}/%{name}/stunnel.pem

%makeinstall docdir=`pwd`/doc-to-install pkglibdir=%{buildroot}%{_libdir}

install -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/stunnel.service

install -d %{buildroot}%{_var}/run/stunnel

mv %{buildroot}%{_sysconfdir}/%{name}/stunnel.conf-sample \
    %{buildroot}%{_sysconfdir}/%{name}/stunnel.conf

perl -pi \
    -e 's|chroot = .*|chroot = /var/run/stunnel|;' \
    -e 's|cert = .*|cert = /etc/pki/tls/certs/stunnel.pem|;' \
    -e 's|;key = .*|key = /etc/pki/tls/private/stunnel.pem|;' \
    %{buildroot}%{_sysconfdir}/%{name}/stunnel.conf

# Move the translated man pages to the right subdirectories, and strip off the
# language suffixes.
for lang in fr pl ; do
        mkdir -p %{buildroot}%{_mandir}/${lang}/man8
        mv %{buildroot}%{_mandir}/man8/*.${lang}.8* %{buildroot}%{_mandir}/${lang}/man8/
        rename ".${lang}" "" %{buildroot}%{_mandir}/${lang}/man8/*
done

# cleanup
rm -f ./doc-to-install/INSTALL.W32
rm -f %{buildroot}%{_sysconfdir}/%{name}/stunnel.pem
rm -f %{buildroot}%{_libdir}/libstunnel.la

%post
%_create_ssl_certificate stunnel

%files
%doc doc-to-install/*
%{_bindir}/stunnel
%{_bindir}/stunnel3
%attr(-,nobody,nogroup) %{_var}/run/stunnel
%{_mandir}/man8/stunnel.8.*
%lang(fr) %{_mandir}/fr/man8/stunnel.8*
%lang(pl) %{_mandir}/pl/man8/stunnel.8*
%config(noreplace) %{_sysconfdir}/%{name}/stunnel.conf
%{_unitdir}/stunnel.service
%{_libdir}/libstunnel.so


%changelog

* Thu Mar 14 2013 luigiwalser <luigiwalser> 4.55-1.mga2
+ Revision: 403218
- 4.55 (fixes CVE-2013-1762)
- fix syntax for obsoleting old library packages
- obsolete library package

  + guillomovitch <guillomovitch>
    - no need for versionned obsoletes
    - fix chroot setting in default configuration
    - fix chroot directory permissions
    - backport from cauldron

* Mon Aug 20 2012 guillomovitch <guillomovitch> 4.53-3.mga3
+ Revision: 282639
- don't bother using library and devel subpackage, as there is no defined interface, and no include file available (#4223)

* Tue Aug 14 2012 guillomovitch <guillomovitch> 4.53-2.mga3
+ Revision: 281253
- add systemd support (Bit Twister <junk_no_spam@verizon.net>)
- mark the configuration file as configuration
- readd explicit lib package dependenncy

* Tue Aug 14 2012 guillomovitch <guillomovitch> 4.53-1.mga3
+ Revision: 281247
- new version
- spec cleanup
- drop useless patches
- drop static lib package
- use rpm-helper macros to generate ssl certificate

* Sun Jan 09 2011 blino <blino> 4.34-3.mga1
+ Revision: 3737
- remove old ldconfig scriptlets
- imported package stunnel

